<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$stor = $_SESSION["stor_" . $dbname];
$rd = "";

if ($_REQUEST["ctr"]) {
    $ctr = $_REQUEST["ctr"];
    $hide = $_REQUEST["hide"];
    $prodtype = $_REQUEST["prodtype"];
    $pcond = "";

    if (!empty($prodtype)) {
        $pcond = " and `prodtype`='$prodtype'";
    }

    $hide_var = "";

    if ($hide == 0) {
        $hide_var = 'style="display:none;"';
    }
    $mctr = $ctr;
    $ctr--;

    Echo "<tr>";
    Echo "<td><i class='fa fa-close remove'></i></td>";
    Echo "<td><input type='text' name='srno_$ctr' class='srno form-control  form'  value='$mctr'></td>";
    Echo "<td>";
    Echo "<select class='form-control form item select2 fetchpart_$ctr' name='item_$ctr' style='width:100%'>";
    Echo "<option value='$fitem[code]'>$fitem[name]</option>";
    $gitem = mysqli_query($conn, "SELECT `code`,`name` FROM `product`  order by name")or die(mysqli_error($conn));
    while ($item = mysqli_fetch_array($gitem)) {
        Echo "<option value='$item[code]'>$item[name]</option>";
    }
    Echo "</select>";
    Echo "</td>";
    Echo "<td><input type='text' class='form-control form hsncode'                name='hsncode_$ctr'     tabindex='-1'   value=''></td>";
    // Echo "<td><input type='text' step='any' name='stk_$ctr' class='stk form-control  text-right form' value='0' tabindex='-1' style='background-color:lightgrey;color:blue'></td>";
    Echo "<td class='p1'><input type='text' step='any' name='qty_$ctr' id='qty_$ctr' class='qty form-control  text-right form' value='0'></td>";
    Echo "<td class='p2'><input type='text' step='any' name='rate_$ctr' id='rate_$ctr' class='rate  form-control text-right  form' value='0' >"
    . "<input type='hidden' step='any' name='cost_$ctr' class='cost  form-control text-right  form' value='0' ></td>";
    Echo "<td><input type='number' step='any' name='amount_$ctr' id='amount_$ctr' class='amount form-control text-right  form'  value='0' tabindex='-1' readonly></td>";
    Echo "<td><input type='text' name='discperc_$ctr' class='discperc form-control text-right  form'  value='0' $rd></td>";
    Echo "<td><input type='text' name='discamt_$ctr' class='discamt form-control text-right  form' value='0' $rd></td>";
    Echo "<td><input type='text' name='subtot_$ctr' class='subtot form-control text-right  form' tabindex='-1' value='0' readonly></td>";
    Echo "<td><input type='text' name='cgstrate_$ctr' class='cgstrate form-control text-right  form' tabindex='-1' value='0' readonly></td>";
    Echo "<td><input type='text' name='cgstamt_$ctr' class='cgstamt form-control text-right  form' tabindex='-1' value='0' readonly></td>";
    Echo "<td><input type='text' name='sgstrate_$ctr' class='sgstrate form-control text-right  form' tabindex='-1' value='0' readonly></td>";
    Echo "<td><input type='text' name='sgstamt_$ctr' class='sgstamt form-control text-right  form' tabindex='-1' value='0' readonly></td>";
    Echo "<td><input type='text' name='igstrate_$ctr' class='igstrate form-control text-right  form' tabindex='-1' value='0' readonly></td>";
    Echo "<td><input type='text' name='igstamt_$ctr' class='igstamt form-control text-right  form' tabindex='-1' value='0' readonly></td>";
    Echo "<td><input type='text' name='total_$ctr' class='total form-control text-right  form' tabindex='-1' value='0' readonly></td>";
    Echo "</tr>";
    $ctr++;
} else {
    echo "ERROR";
}
?>
 